SDL_GPUStorageBufferReadWriteBinding Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUBuffer * | buffer
bool | cycle
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

A structure specifying parameters related to binding buffers in a compute pass.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_BeginGPUComputePass

Definition at line 2049 of file SDL_gpu.h.

## Field Documentation

## buffer

SDL_GPUBuffer* SDL_GPUStorageBufferReadWriteBinding::buffer

The buffer to bind. Must have been created with SDL_GPU_BUFFERUSAGE_COMPUTE_STORAGE_WRITE.

Definition at line 2051 of file SDL_gpu.h.

## cycle

bool SDL_GPUStorageBufferReadWriteBinding::cycle

true cycles the buffer if it is already bound.

Definition at line 2052 of file SDL_gpu.h.

## padding1

Uint8 SDL_GPUStorageBufferReadWriteBinding::padding1

Definition at line 2053 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUStorageBufferReadWriteBinding::padding2

Definition at line 2054 of file SDL_gpu.h.

## padding3

Uint8 SDL_GPUStorageBufferReadWriteBinding::padding3

Definition at line 2055 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h